%global momorel 1

Name:           perl-Parse-RecDescent
Version:        1.96.0
Release:        %{momorel}m%{?dist}
Summary:        Generate Recursive-Descent Parsers
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-RecDescent/
#Source0:        http://www.cpan.org/modules/by-module/Parse/Parse-RecDescent-v%{version}.tar.gz
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/Parse-RecDescent-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

%description
Parse::RecDescent incrementally generates top-down recursive-descent
text parsers from simple yacc-like grammar specifications. It
provides: 
    * Regular expressions or literal strings as terminals (tokens),
    * Multiple (non-contiguous) productions for any rule,
    * Repeated and optional subrules within productions,
    * Full access to Perl within actions specified as part of the
      grammar,
    * Simple automated error reporting during parser generation and
      parsing,
    * The ability to commit to, uncommit to, or reject particular
      productions during a parse,
    * The ability to pass data up and down the parse tree ("down" via
      subrule argument lists, "up" via subrule return values)
    * Incremental extension of the parsing grammar (even during a
      parse),
    * Precompilation of parser objects,

User-definable reduce-reduce conflict resolution via "scoring" of
matching productions.

%prep
%setup -q -n Parse-RecDescent-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

#%%check
#./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Parse/*
%{_mandir}/man3/*

%changelog
* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linu.org>
- (1.96.0-1m)
- update to 1.96.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.95.1-3m)
- rebuild against rpm-4.6

* Sun Aug  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.95.1-2m)
- modify %%files to avoid conflicting

* Fri Aug 01 2008 Tabuchi Takaaki <tab@momonga-linux.org>
- (1.95.1-1m)
- Specfile autogenerated by cpanspec 1.75 for Momonga Linux.
- remake specfile for do not use filelist method
- use perl_vendorlib

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.95.1-1m)
- update to 1.95.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.94-8m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.94-7m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.95-6m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.94-5m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.94-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.94-3m)
- remove Epoch from BuildPrereq

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.94-1m)

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-2m)
- modify install dir

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-1m)
- import from fedora

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Sat Jul 20 2002 Chip Turner <cturner@localhost.localdomain>
- remove Text::Balanced modules since they are now in core perl

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

